diff --git a/src/main/java/net/minecraft/server/net/NetworkListenThread.java b/src/main/java/net/minecraft/server/net/NetworkListenThread.java
index ee12f199c..ca2ee6863 100644
--- a/src/main/java/net/minecraft/server/net/NetworkListenThread.java
+++ b/src/main/java/net/minecraft/server/net/NetworkListenThread.java
@@ -13,10 +13,6 @@ import net.minecraft.server.net.handler.PacketHandlerServer;
 import net.minecraft.server.MinecraftServer;
 import org.slf4j.Logger;
 
-
-// Referenced classes of package net.minecraft.src:
-//            NetworkAcceptThread, PacketHandlerLogin, NetworkManager, PacketHandlerServer
-
 public class NetworkListenThread
 {
     private static final Logger LOGGER = LogUtils.getLogger();
diff --git a/src/main/java/net/minecraft/server/net/PlayerHash.java b/src/main/java/net/minecraft/server/net/PlayerHash.java
index 2f091caf9..09aed40c1 100644
--- a/src/main/java/net/minecraft/server/net/PlayerHash.java
+++ b/src/main/java/net/minecraft/server/net/PlayerHash.java
@@ -1,9 +1,5 @@
 package net.minecraft.server.net;
 
-
-// Referenced classes of package net.minecraft.src:
-//            PlayerHashEntry
-
 public class PlayerHash
 {
 
diff --git a/src/main/java/net/minecraft/server/net/PlayerHashEntry.java b/src/main/java/net/minecraft/server/net/PlayerHashEntry.java
index 42ff0829f..f8dc13245 100644
--- a/src/main/java/net/minecraft/server/net/PlayerHashEntry.java
+++ b/src/main/java/net/minecraft/server/net/PlayerHashEntry.java
@@ -1,9 +1,5 @@
 package net.minecraft.server.net;
 
-
-// Referenced classes of package net.minecraft.src:
-//            PlayerHash
-
 class PlayerHashEntry
 {
 
diff --git a/src/main/java/net/minecraft/server/net/handler/PacketHandlerLogin.java b/src/main/java/net/minecraft/server/net/handler/PacketHandlerLogin.java
index 983210804..636d9d959 100644
--- a/src/main/java/net/minecraft/server/net/handler/PacketHandlerLogin.java
+++ b/src/main/java/net/minecraft/server/net/handler/PacketHandlerLogin.java
@@ -4,6 +4,8 @@ import com.mojang.logging.LogUtils;
 import net.minecraft.core.Global;
 import net.minecraft.core.data.registry.Registries;
 import net.minecraft.core.data.registry.recipe.RecipeEntryBase;
+import net.minecraft.core.entity.EntityDispatcher;
+import net.minecraft.core.sound.SoundTypes;
 import net.minecraft.server.net.command.ServerCommandSource;
 import net.minecraft.core.net.handler.PacketHandler;
 import net.minecraft.core.util.helper.UUIDHelper;
@@ -190,6 +192,12 @@ public class PacketHandlerLogin extends PacketHandler
                 throw new RuntimeException(e);
             }
 
+            for (RecipeEntryBase<?, ?, ?> recipe : Registries.RECIPES.getAllSerializableRecipes()) {
+                player.playerNetServerHandler.sendPacket(new RecipeSyncPacket(recipe,Registries.RECIPES.getAllSerializableRecipes().size()));
+            }
+            player.playerNetServerHandler.sendPacket(new SyncIDsPacket(SyncIDsPacket.DESTINATION_SOUND_IDS, SoundTypes.getSoundIds()));
+            player.playerNetServerHandler.sendPacket(new SyncIDsPacket(SyncIDsPacket.DESTINATION_ENTITY_IDS, EntityDispatcher.getEntityIds()));
+
             packetHandler.sendPacket(new SetSpawnPositionPacket(chunkcoordinates.x, chunkcoordinates.y, chunkcoordinates.z));
             mcServer.playerList.setTime(player, worldserver);
             mcServer.playerList.sendPacketToAllPlayers(new ChatPacket(TextFormatting.YELLOW + player.getDisplayName() + TextFormatting.YELLOW + " joined the game."));
@@ -216,11 +224,6 @@ public class PacketHandlerLogin extends PacketHandler
             player.playerNetServerHandler.sendPacket(new SetHeldObjectPacket(player.id, player.getHeldObject()));
             player.playerNetServerHandler.sendPacket(new SetHotbarOffsetPacket(player.inventory.getHotbarOffset()));
             player.playerNetServerHandler.sendPacket(new SetCarriedItemPacket(player.inventory.getCurrentItemIndex()));
-
-            for (RecipeEntryBase<?, ?, ?> recipe : Registries.RECIPES.getAllSerializableRecipes()) {
-                player.playerNetServerHandler.sendPacket(new RecipeSyncPacket(recipe,Registries.RECIPES.getAllSerializableRecipes().size()));
-            }
-            player.playerNetServerHandler.sendPacket(new SyncIDsPacket());
         }
         finishedProcessing = true;
     }
diff --git a/src/main/java/net/minecraft/server/net/handler/PacketHandlerServer.java b/src/main/java/net/minecraft/server/net/handler/PacketHandlerServer.java
index 51f1dd569..f7dc7e0e7 100644
--- a/src/main/java/net/minecraft/server/net/handler/PacketHandlerServer.java
+++ b/src/main/java/net/minecraft/server/net/handler/PacketHandlerServer.java
@@ -7,6 +7,7 @@ import net.minecraft.core.block.entity.TileEntityFlag;
 import net.minecraft.core.block.entity.TileEntityMobSpawner;
 import net.minecraft.core.block.entity.TileEntitySign;
 import net.minecraft.core.entity.Entity;
+import net.minecraft.core.entity.EntityDispatcher;
 import net.minecraft.core.entity.vehicle.EntityBoat;
 import net.minecraft.core.enums.ArtType;
 import net.minecraft.core.enums.EnumSignPicture;
@@ -18,6 +19,7 @@ import net.minecraft.core.net.ICommandListener;
 import net.minecraft.core.net.NetworkManager;
 import net.minecraft.core.net.command.TextFormatting;
 import net.minecraft.core.player.inventory.container.ContainerInventory;
+import net.minecraft.core.util.collection.NamespaceID;
 import net.minecraft.core.world.World;
 import net.minecraft.server.net.command.ServerCommandSource;
 import net.minecraft.core.net.handler.PacketHandler;
@@ -100,7 +102,8 @@ public class PacketHandlerServer extends PacketHandler
             if (tileentity instanceof TileEntityMobSpawner)
             {
                 TileEntityMobSpawner tileEntityMobSpawner = (TileEntityMobSpawner) tileentity;
-                tileEntityMobSpawner.setMobId(packet.spawnType);
+                NamespaceID namespaceID = EntityDispatcher.idForClass(packet.entityClass);
+                tileEntityMobSpawner.setMobId(namespaceID == null ? "none" : namespaceID.toString());
 
                 tileEntityMobSpawner.setChanged();
                 world.markBlockNeedsUpdate(packet.xPosition, packet.yPosition, packet.zPosition);
diff --git a/src/main/java/net/minecraft/server/player/PlayerManager.java b/src/main/java/net/minecraft/server/player/PlayerManager.java
index 059fa3db1..bfbea731d 100644
--- a/src/main/java/net/minecraft/server/player/PlayerManager.java
+++ b/src/main/java/net/minecraft/server/player/PlayerManager.java
@@ -3,6 +3,7 @@ package net.minecraft.server.player;
 import java.util.ArrayList;
 import java.util.List;
 
+import com.mojang.logging.LogUtils;
 import net.minecraft.core.block.Block;
 import net.minecraft.core.block.entity.TileEntity;
 import net.minecraft.core.net.packet.*;
@@ -12,9 +13,11 @@ import net.minecraft.core.world.chunk.Chunk;
 import net.minecraft.core.world.chunk.ChunkCoordinate;
 import net.minecraft.server.world.WorldServer;
 import net.minecraft.server.MinecraftServer;
+import org.slf4j.Logger;
 
 public class PlayerManager
 {
+    public static final Logger LOGGER = LogUtils.getLogger();
     public final List<PlayerServer> players;
     private final PlayerHash playerInstances;
     private final List<PlayerInstance> playerInstancesToUpdate;
@@ -30,20 +33,16 @@ public class PlayerManager
         players = new ArrayList<>();
         playerInstances = new PlayerHash();
         playerInstancesToUpdate = new ArrayList<>();
-        if(viewRadius > 15)
-        {
+        if(viewRadius > 64) {
             throw new IllegalArgumentException("Too big view radius!");
-        }
-        else if(viewRadius < 3)
-        {
+        } else if (viewRadius > 15) {
+            LOGGER.warn("View radius '{}' is greater then 15, expect possibly extreme hit to performance!", viewRadius);
+        } else if(viewRadius < 3) {
             throw new IllegalArgumentException("Too small view radius!");
         }
-        else
-        {
-            this.viewRadius = viewRadius;
-            this.server = server;
-            this.dimension = dimension;
-        }
+        this.viewRadius = viewRadius;
+        this.server = server;
+        this.dimension = dimension;
     }
 
     public void tick()
@@ -57,7 +56,7 @@ public class PlayerManager
 
     private PlayerInstance getPlayerInstance(int chunkX, int chunkZ, boolean makeNewIfAbsent)
     {
-        long key = (long)chunkX + 0x7fffffffL | (long)chunkZ + 0x7fffffffL << 32;
+        long key = (long)chunkX + Integer.MAX_VALUE | (long)chunkZ + Integer.MAX_VALUE << 32;
         PlayerInstance instance = (PlayerInstance)playerInstances.getValueByKey(key);
         if(instance == null && makeNewIfAbsent)
         {
diff --git a/src/main/java/net/minecraft/server/world/ConvertProgressUpdater.java b/src/main/java/net/minecraft/server/world/ConvertProgressUpdater.java
index 3ef1589bf..155bfa44e 100644
--- a/src/main/java/net/minecraft/server/world/ConvertProgressUpdater.java
+++ b/src/main/java/net/minecraft/server/world/ConvertProgressUpdater.java
@@ -3,9 +3,6 @@ package net.minecraft.server.world;
 import net.minecraft.core.world.ProgressListener;
 import net.minecraft.server.MinecraftServer;
 
-// Referenced classes of package net.minecraft.src:
-//            IProgressUpdate
-
 public class ConvertProgressUpdater
     implements ProgressListener
 {
diff --git a/src/main/java/net/minecraft/server/world/ServerPlayerController.java b/src/main/java/net/minecraft/server/world/ServerPlayerController.java
index 7c6265e21..12dc99d2d 100644
--- a/src/main/java/net/minecraft/server/world/ServerPlayerController.java
+++ b/src/main/java/net/minecraft/server/world/ServerPlayerController.java
@@ -3,11 +3,6 @@ package net.minecraft.server.world;
 
 import net.minecraft.core.block.Block;
 
-// Referenced classes of package net.minecraft.src:
-//            WorldServer, Block, Player, ItemStack,
-//            PlayerServer, BlockUpdatePacket, PacketHandlerServer, InventoryPlayer,
-//            World
-
 import net.minecraft.core.block.entity.TileEntity;
 import net.minecraft.core.entity.player.Player;
 import net.minecraft.core.item.Item;
diff --git a/src/main/java/net/minecraft/server/world/WorldServerMulti.java b/src/main/java/net/minecraft/server/world/WorldServerMulti.java
index 2984ad475..d31ade613 100644
--- a/src/main/java/net/minecraft/server/world/WorldServerMulti.java
+++ b/src/main/java/net/minecraft/server/world/WorldServerMulti.java
@@ -4,9 +4,6 @@ import net.minecraft.core.world.type.WorldType;
 import net.minecraft.server.MinecraftServer;
 import net.minecraft.core.world.save.LevelStorage;
 
-// Referenced classes of package net.minecraft.src:
-//            WorldServer, ISaveHandler
-
 public class WorldServerMulti extends WorldServer
 {
 
diff --git a/src/main/java/org/useless/seedviewer/TestChunkProvider.java b/src/main/java/org/useless/seedviewer/TestChunkProvider.java
index 965e87d40..964ddb241 100644
--- a/src/main/java/org/useless/seedviewer/TestChunkProvider.java
+++ b/src/main/java/org/useless/seedviewer/TestChunkProvider.java
@@ -8,8 +8,6 @@ import org.useless.seedviewer.data.Biome;
 import org.useless.seedviewer.data.Chunk;
 import org.useless.seedviewer.gui.ChunkProvider;
 
-import java.awt.*;
-
 public class TestChunkProvider implements ChunkProvider {
     @Override
     public Chunk getChunk(ChunkLocation location) {
diff --git a/src/main/java/org/useless/seedviewer/bta/BTAComplexChunk.java b/src/main/java/org/useless/seedviewer/bta/BTAComplexChunk.java
index ee8677775..3eaf71ea3 100644
--- a/src/main/java/org/useless/seedviewer/bta/BTAComplexChunk.java
+++ b/src/main/java/org/useless/seedviewer/bta/BTAComplexChunk.java
@@ -9,8 +9,6 @@ import org.useless.seedviewer.collections.ChunkPos3D;
 import org.useless.seedviewer.data.Biome;
 import org.useless.seedviewer.data.Chunk;
 
-import java.awt.*;
-
 public class BTAComplexChunk implements Chunk {
     private final net.minecraft.core.world.chunk.Chunk chunk;
     public BTAComplexChunk(@NotNull net.minecraft.core.world.chunk.Chunk chunk) {
diff --git a/src/main/java/org/useless/seedviewer/bta/BTASimpleChunk.java b/src/main/java/org/useless/seedviewer/bta/BTASimpleChunk.java
index 657415819..b25426067 100644
--- a/src/main/java/org/useless/seedviewer/bta/BTASimpleChunk.java
+++ b/src/main/java/org/useless/seedviewer/bta/BTASimpleChunk.java
@@ -7,8 +7,6 @@ import org.useless.seedviewer.collections.ChunkPos3D;
 import org.useless.seedviewer.data.Biome;
 import org.useless.seedviewer.data.Chunk;
 
-import java.awt.*;
-
 public class BTASimpleChunk implements Chunk {
     private final ChunkLocation location;
     private final BiomeProvider provider;
diff --git a/src/main/java/org/useless/seedviewer/data/Chunk.java b/src/main/java/org/useless/seedviewer/data/Chunk.java
index b3d54c63f..96529440a 100644
--- a/src/main/java/org/useless/seedviewer/data/Chunk.java
+++ b/src/main/java/org/useless/seedviewer/data/Chunk.java
@@ -4,8 +4,6 @@ import net.minecraft.core.world.chunk.ChunkSection;
 import org.useless.seedviewer.collections.ChunkPos2D;
 import org.useless.seedviewer.collections.ChunkPos3D;
 
-import java.awt.*;
-
 public interface Chunk {
     int CHUNK_SIZE_X = net.minecraft.core.world.chunk.Chunk.CHUNK_SIZE_X;
     int CHUNK_SIZE_Y = net.minecraft.core.world.chunk.Chunk.CHUNK_SECTIONS * ChunkSection.SECTION_SIZE_Y;
diff --git a/src/main/java/org/useless/seedviewer/gui/ChunkProvider.java b/src/main/java/org/useless/seedviewer/gui/ChunkProvider.java
index 8493502e4..7466f61b1 100644
--- a/src/main/java/org/useless/seedviewer/gui/ChunkProvider.java
+++ b/src/main/java/org/useless/seedviewer/gui/ChunkProvider.java
@@ -1,7 +1,6 @@
 package org.useless.seedviewer.gui;
 
 import org.useless.seedviewer.collections.ChunkLocation;
-import org.useless.seedviewer.data.Biome;
 import org.useless.seedviewer.data.Chunk;
 
 public interface ChunkProvider {
diff --git a/src/main/java/org/useless/seedviewer/gui/ChunkView.java b/src/main/java/org/useless/seedviewer/gui/ChunkView.java
index 7f330651c..d9d3a667b 100644
--- a/src/main/java/org/useless/seedviewer/gui/ChunkView.java
+++ b/src/main/java/org/useless/seedviewer/gui/ChunkView.java
@@ -92,7 +92,7 @@ public class ChunkView {
                         for (int z = 0; z < Chunk.CHUNK_SIZE_Z; z++) {
                             int depth = waterDepthMapImage.getRGB(x, z) & 0xFF;
 
-                            int shade = 220;
+                            int shade;
                             if (depth == 0) {
                                 int lastHeight;
                                 if (z == 0) {
